import { useRef, useEffect } from 'react';
import { select } from 'd3';
import { viz } from './viz';

export const VizWrapper = ({ data }) => {
  const ref = useRef();

  const width = window.innerWidth;
  const height = window.innerHeight;

  useEffect(() => {
    viz(select(ref.current), {
      data,
      xValue: (d) => d.sepal_length,
      yValue: (d) => d.petal_length,
      width,
      height,
      margin: {
        top: 20,
        right: 20,
        bottom: 40,
        left: 40,
      },
      circleRadius: 10,
    });
  }, [data]);

  return (
    <svg
      width={width}
      height={height}
      ref={ref}
    />
  );
};
